> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment initiation status request

> Returns the transaction status of an initiated payment



## OpenAPI

````yaml get /open-banking/v1/payments/{payment-product}/{paymentId}/status
openapi: 3.0.3
info:
  title: Ledger Client API
  version: 1.0.0
  description: API for ledger operations - parties, accounts, transactions
servers: []
security: []
tags:
  - name: Account Statements
    description: Retrieve account transaction history
  - name: Accounts
    description: Account management operations
  - name: Open Banking - Accounts
    description: PSD2 Account Information Service (AIS) - Account endpoints
  - name: Open Banking - Funds Confirmation
    description: PSD2 Confirmation of Funds Service (PIIS)
  - name: Open Banking - Payments
    description: PSD2 Payment Initiation Service (PIS)
  - name: Open Banking - Transactions
    description: PSD2 Account Information Service (AIS) - Transaction endpoints
  - name: Parties
    description: Party management operations
  - name: Payments
    description: Payment operations
  - name: Transaction Postings
    description: Retrieve transaction postings
  - name: Transactions
    description: Transaction execution operations
paths:
  /open-banking/v1/payments/{payment-product}/{paymentId}/status:
    get:
      tags:
        - Open Banking - Payments
      summary: Payment initiation status request
      description: Read the transaction status of the addressed payment
      parameters:
        - description: The addressed payment product
          example: sepa-credit-transfers
          required: true
          name: payment-product
          in: path
          schema:
            type: string
        - description: Resource identification of the payment initiation
          example: 1234-payment-567
          required: true
          name: paymentId
          in: path
          schema:
            type: string
        - description: >-
            ID of the request, unique to the call, as determined by the
            initiating party
          example: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
          required: true
          name: X-Request-ID
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Payment status successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentStatusResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Payment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PaymentStatusResponse:
      required:
        - transactionStatus
      type: object
      properties:
        transactionStatus:
          description: ISO 20022 transaction status
          enum:
            - ACCC
            - ACCP
            - ACSC
            - ACSP
            - ACTC
            - ACWC
            - ACWP
            - RCVD
            - PDNG
            - RJCT
            - CANC
            - ACFC
            - PATC
            - PART
            - RVCM
            - RVNC
            - RCVC
          type: string
          example: ACCP
        fundsAvailable:
          description: >-
            Equals true if sufficient funds are available at the time of the
            request, if supported by the ASPSP
          type: boolean
          nullable: true
        psuMessage:
          description: Text to be displayed to the PSU
          type: string
          example: Please check your bank app
          nullable: true
        ownerNames:
          description: List of owner names
          type: array
          items:
            $ref: '#/components/schemas/AccountOwner'
          nullable: true
        psuName:
          description: Name of the PSU
          type: string
          example: Max Mustermann
          nullable: true
        _links:
          description: HATEOAS links, e.g. for re-submission of credentials
          type: object
          allOf:
            - $ref: '#/components/schemas/Links'
          nullable: true
        tppMessages:
          description: Messages to the TPP on operational issues
          type: array
          items:
            $ref: '#/components/schemas/TppMessage'
          nullable: true
    ErrorResponse:
      description: NextGenPSD2 error response body
      type: object
      properties:
        tppMessages:
          description: Messages to the TPP on operational issues
          type: array
          items:
            $ref: '#/components/schemas/TppMessage'
          nullable: true
        _links:
          description: HATEOAS links
          type: object
          allOf:
            - $ref: '#/components/schemas/Links'
          nullable: true
    AccountOwner:
      description: Account owner as defined in Section 14.33
      required:
        - name
      type: object
      properties:
        name:
          description: Account owner name
          type: string
          example: Heike Mustermann
        role:
          description: Role of the account owner
          enum:
            - owner
            - legalRepresentative
            - authorisedUser
          type: string
          example: owner
          nullable: true
    Links:
      description: HATEOAS links as defined in Section 14.6, conforming to HAL
      type: object
      properties:
        scaRedirect:
          description: >-
            Link to an ASPSP site where SCA is performed within the Redirect SCA
            approach
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaOAuth:
          description: Link to the OAuth2 authorisation server configuration of the ASPSP
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        confirmation:
          description: URL to be updated with confirmation code or access token after SCA
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisation:
          description: Link to start the authorisation process
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuIdentification:
          description: Link to start authorisation with PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuIdentification:
          description: Link to update PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithProprietaryData:
          description: Link to start authorisation with proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateProprietaryData:
          description: Link to update proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuAuthentication:
          description: Link to start authorisation with PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuAuthentication:
          description: Link to update PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalPsuAuthentication:
          description: Link to update additional PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithEncryptedPsuAuthentication:
          description: Link to start authorisation with encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateEncryptedPsuAuthentication:
          description: Link to update encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalEncryptedPsuAuthentication:
          description: Link to update additional encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithAuthenticationMethodSelection:
          description: Link to start authorisation with authentication method selection
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        selectAuthenticationMethod:
          description: Link to select an authentication method
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        creditorNameConfirmation:
          description: Creditor name confirmation link for VOP services
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        self:
          description: >-
            Link to the payment initiation or consent resource created by this
            request
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        status:
          description: Link to retrieve the transaction status of the payment initiation
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaStatus:
          description: Link to retrieve the SCA status
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        account:
          description: Link to the resource providing details of one account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        balances:
          description: Link to the resource providing the balance of a dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardAccount:
          description: Link to the resource providing the details of one card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardTransactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactionDetails:
          description: Link to the resource providing details of a dedicated transaction
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        first:
          description: Navigation link for paginated account reports - first page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        next:
          description: Navigation link for paginated account reports - next page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        previous:
          description: Navigation link for paginated account reports - previous page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        last:
          description: Navigation link for paginated account reports - last page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        download:
          description: Download link for huge AIS data packages
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
    TppMessage:
      description: TPP message information
      required:
        - category
        - code
      type: object
      properties:
        category:
          description: Category of the error
          enum:
            - ERROR
            - WARNING
          type: string
          example: ERROR
        code:
          description: Message code as defined by the Berlin Group
          type: string
          example: SERVICE_UNAVAILABLE
        path:
          description: Path of the field causing the error, if applicable
          type: string
          example: access.balances
          nullable: true
        text:
          description: Additional explaining text
          type: string
          example: The ASPSP server is currently unavailable
          nullable: true
    HrefType:
      description: Hyperlink reference
      required:
        - href
      type: object
      properties:
        href:
          description: Link URL
          type: string
          example: /v1/payments/sepa-credit-transfers/1234-payment-567

````